@import '../Variables.scss';

.button {
  width: 110px;
  padding: .4em 0;
  border: 2px solid var(--bkg-blue);
  color: var(--bkg-blue);
  font-weight: 600;
  font-size: 14px;
  cursor: pointer;
  text-align: center;
  position: relative;
  z-index: 90;
  overflow: hidden;
  transition: 0.5s;
  background-color: transparent;

  & span {
    position: absolute;
    width: 25%;
    height: 100%;
    background-color: var(--bkg-blue);
    transform: translateY(150%);
    border-radius: 50%;
    left: calc((var(--n) - 1) * 25%);
    transition: 0.5s;
    transition-delay: calc((var(--n) - 1) * 0.1s);
    z-index: -1;
  }

  &:hover {
    color: var(--clr-light);
  }

  &:hover span {
    transform: translateY(0) scale(2);
  }

  & span:nth-child(1) {
    --n: 1;
  }

  & span:nth-child(2) {
    --n: 2;
  }

  & span:nth-child(3) {
    --n: 3;
  }

  & span:nth-child(4) {
    --n: 4;
  }
}